var RuleEngine = require('node-rules');
//https://github.com/mithunsatheesh/node-rules/wiki/Rules

//define the rules
var rules = [
    {
    "condition": function(R) {
        R.when(this && (this.airbox1 == "on"
			&& this.recirculation == "active"
			&& this.airbox2 =="off"));
    },
    "consequence": function(R) {
        this.result = false;
	console.log("Evaluating rule");
        R.stop();
    },
	"priority":4,
    }
];

//sample fact to run the rules on
var fact = {
    "airbox1":"on",
    "airbox2":"on",
    "recirculation":"active",
    "scene":4,
};

//initialize the rule engine
var R = new RuleEngine(rules);

//Now pass the fact on to the rule engine for results
R.execute(fact,function(result){
    //
});
